Open Bug 1559975 Opened 4 months ago Updated 4 hours ago

Fix python3 source compatibility

Categories

(Firefox Build System :: General, task)

task
Not set

Tracking

(firefox70 fixed)

Tracking Status
firefox70 --- fixed

People

(Reporter: marco, Unassigned)

References

(Blocks 1 open bug)

Details

(Keywords: leave-open)

Attachments

(53 files, 5 obsolete files)

47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
No description provided.
Summary: Remove tools/update-packaging from py3 exclude list → Fix python3 source compatibility

Bugbug thinks this bug is a task, but please change it back in case of error.

Type: defect → task
Attachment #9072686 - Attachment description: Bug 1559975: Fix build/ python2/3 source compat → Bug 1559975: Fix python2/3 compat in build/

Depends on D35337

Attachment #9072858 - Attachment description: Bug 1559975 - testing/tools/iceserver conversion to python3 r=ahal → Bug 1559975 - convert testing/tools/iceserver to python3 syntax
Attachment #9072855 - Attachment is obsolete: true
Pushed by ahalberstadt@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/d72bc2063456
Don't require absolute import future if we don't have any imports r=ahal
https://hg.mozilla.org/integration/autoland/rev/16efad631029
Remove tools/update-packaging from py3 exclude list. r=ahal
https://hg.mozilla.org/integration/autoland/rev/bdb15150dc59
Fix python3 lint issues on js/src, r=ahal

:dluca - I only authored one of the patches; will ni the other two and we'll coordinate.

Flags: needinfo?(egao)
Flags: needinfo?(catlee)
Flags: needinfo?(bastien)

This was mainly run to get the 'from future' statements on all on the same
line. But might as well let the other imports get sorted too while we're at it.
I manually removed any changes that looked like they might fail due to import
ordering.

My mistake, thought the patch was trivial and looked right. I'll be sure to test better next time.

Moving forward, I'd like to ask patch authors to avoid landing their patches after they get r+ed. I'll try to batch 3-5 of them at a time as they get reviewed in the phabricator stack (taking care to test them a bit better first). If certain patches prove to be more difficult to land, we can manually edit the revision ordering in phabricator to get them to the end of the queue.

Flags: needinfo?(catlee)
Attachment #9073643 - Attachment description: Bug 1559975 - convert modules/freetype2 to python3 → Bug 1559975 - remove modules/freetype2 from python3 linter blacklist
Pushed by ahalberstadt@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/0560cf7df7dc
Don't require absolute import future if we don't have any imports r=ahal
https://hg.mozilla.org/integration/autoland/rev/0c36f78c971a
Remove tools/update-packaging from py3 exclude list. r=ahal
https://hg.mozilla.org/integration/autoland/rev/bf5a6d853abd
Fix py3 lint issues in testing/firefox-ui and enable py3 linter r=ahal
https://hg.mozilla.org/integration/autoland/rev/2309aac6cea3
Add future imports to testing/remotecppunittests.py and testing/runcppunittests.py and remove them from py2 exclusion list r=ahal
Depends on: 1559980

Backed out 5 changesets (Bug 1559982, Bug 1559975) for cpp unit test failures due to unsupported operand type.

Backout link: https://hg.mozilla.org/integration/autoland/rev/18f3d786c2897b9b58987bd5eeac3c05d559bd2c

Push with failures: https://treeherder.mozilla.org/#/jobs?repo=autoland&resultStatus=testfailed%2Cbusted%2Cexception&classifiedState=unclassified&revision=2309aac6cea38ea30ecc5a89eb2049b59d2ac174&searchStr=%28cpp&selectedJob=253601399

Failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=253601399&repo=autoland&lineNumber=1357

[task 2019-06-26T22:31:14.006Z] 22:31:14 INFO - adb Native pidof support: True
[task 2019-06-26T22:31:15.544Z] 22:31:15 INFO - unsupported operand type(s) for >>: 'builtin_function_or_method' and 'file'
[task 2019-06-26T22:31:15.554Z] 22:31:15 ERROR - Return code: 1
[task 2019-06-26T22:31:15.554Z] 22:31:15 ERROR - No tests run or test summary not found
[task 2019-06-26T22:31:15.556Z] 22:31:15 INFO - TinderboxPrint: cppunittest<br/><em class="testfail">T-FAIL</em>
[task 2019-06-26T22:31:15.556Z] 22:31:15 INFO - ##### cppunittest log ends
[task 2019-06-26T22:31:15.556Z] 22:31:15 WARNING - # TBPL WARNING #
[task 2019-06-26T22:31:15.556Z] 22:31:15 WARNING - setting return code to 1

Flags: needinfo?(ahal)
Pushed by ahalberstadt@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/f3a2be3755d1
Don't require absolute import future if we don't have any imports r=ahal
https://hg.mozilla.org/integration/autoland/rev/8fa4afaadbd0
Remove tools/update-packaging from py3 exclude list. r=ahal
https://hg.mozilla.org/integration/autoland/rev/bd7c1d0cf1c9
Fix py3 lint issues in testing/firefox-ui and enable py3 linter r=ahal

I re-landed without the offending patch. We'll fix/re-land that one in due time.

Flags: needinfo?(ahal)
Pushed by ahalberstadt@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/4c7e3b868974
Add future imports to testing/remotecppunittests.py and testing/runcppunittests.py and remove them from py2 exclusion list r=ahal
https://hg.mozilla.org/integration/autoland/rev/9806cabfaa75
enable py2 and py3 linting in memory r=ahal
https://hg.mozilla.org/integration/autoland/rev/4c6399a9e8ae
Python3 linting changes for raptor r=Callek,rwood
Attachment #9075426 - Attachment description: Bug 1559975 - convert dom/bindings to python3 synta → Bug 1559975 - convert dom/bindings to python3
Pushed by ahalberstadt@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/6b9d71110840
Make directories python3 compatible r=catlee
https://hg.mozilla.org/integration/autoland/rev/9ab904b7a8a6
convert testing/awsy to python3 syntax r=ahal
https://hg.mozilla.org/integration/autoland/rev/6822d5123b3c
convert testing/tps to python3 r=ahal
Flags: needinfo?(bastien)
Attachment #9072688 - Attachment is obsolete: true
Pushed by catlee@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/d0dda220d0d2
Fix python3 lint issues on js/src, r=ahal
Pushed by catlee@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/0a1d70a3f84d
Fix python3 lint issues on servo r=ahal
https://hg.mozilla.org/integration/autoland/rev/f4ccc9904965
Fix python2 lint issues on testing/firefox-ui r=catlee
https://hg.mozilla.org/integration/autoland/rev/68ade9168329
Fix python2/3 compat in gfx/ r=ahal
https://hg.mozilla.org/integration/autoland/rev/64da8793fde3
convert testing/tools/iceserver to python3 syntax r=ahal
https://hg.mozilla.org/integration/autoland/rev/5712b6093001
Fix python2/3 compat in intl/ r=ahal
https://hg.mozilla.org/integration/autoland/rev/144f35689cd2
remove modules/freetype2 from python3 linter blacklist r=ahal
https://hg.mozilla.org/integration/autoland/rev/98dd5736b303
Make python/mozbuild lint with 'py2' and 'py3' r=catlee
https://hg.mozilla.org/integration/autoland/rev/fb193ef6ed3f
Make python/mach lint with 'py2' and 'py3' r=catlee
Pushed by catlee@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/8e741ae8dcab
convert dom/canvas/test to python3 syntax r=ahal
https://hg.mozilla.org/integration/autoland/rev/f3fda3d6fc45
convert tools/jprof to python3 r=ahal
https://hg.mozilla.org/integration/autoland/rev/24f42baee33a
Make configure.py lint with 'py2' and 'py3' r=catlee
https://hg.mozilla.org/integration/autoland/rev/9c5b3c7e1ca2
Make config/ lint with 'py2' and 'py3' r=catlee
Backout by cbrindusan@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/fcf30eab01b2
Backed out changeset 8e741ae8dcab as requested by ahal on irc. CLOSED TREE
Depends on: 1564240
Attachment #9077503 - Attachment is obsolete: true
Attachment #9075000 - Attachment description: Bug 1559975 - remove tools/profiler from python3 blacklist → Bug 1559975 - remove tools/profiler from python2 and python3 linter exclusion list
Attachment #9074887 - Attachment description: Bug 1559975 - convert dom/canvas/test to python3 syntax → Bug 1559975 - remove dom/canvas/test from py3 linter exclusion list
Attachment #9077886 - Attachment is obsolete: true
Pushed by catlee@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/68ed1ccb5921
convert layout/style to python3 r=ahal
https://hg.mozilla.org/integration/autoland/rev/4005ac274170
convert dom/bindings to python3 r=ahal,bzbarsky
https://hg.mozilla.org/integration/autoland/rev/a7154744a5d7
convert testing/mochitest to python3 r=ahal
Attachment #9077140 - Attachment is obsolete: true
Backout by rgurzau@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/44e8fbdf5cbd
Backed out 3 changesets for linting failure at WebIDL.py on a CLOSED TREE.

Backed out 3 changesets (bug 1559975) for linting failure at WebIDL.py on a CLOSED TREE.

Backout link: https://hg.mozilla.org/integration/autoland/rev/44e8fbdf5cbd72ed09fc4589d7119c29f051ee72

Push with failures: https://treeherder.mozilla.org/#/jobs?repo=autoland&group_state=expanded&resultStatus=testfailed%2Cbusted%2Cexception&revision=a7154744a5d774d3a9980604b61b24db459c2558&selectedJob=257395584

Log link: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=257395584&repo=autoland&lineNumber=277

Log snippet:

[task 2019-07-19T14:24:29.805Z] building 'psutil._psutil_linux' extension
[task 2019-07-19T14:24:29.805Z] creating build
[task 2019-07-19T14:24:29.805Z] creating build/temp.linux-x86_64-2.7
[task 2019-07-19T14:24:29.805Z] creating build/temp.linux-x86_64-2.7/psutil
[task 2019-07-19T14:24:29.805Z] x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g -fstack-protector-strong -Wformat -Werror=format-security -fPIC -DPSUTIL_POSIX=1 -DPSUTIL_VERSION=543 -DPSUTIL_LINUX=1 -I/usr/include/python2.7 -c psutil/_psutil_common.c -o build/temp.linux-x86_64-2.7/psutil/_psutil_common.o
[task 2019-07-19T14:24:29.805Z] x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g -fstack-protector-strong -Wformat -Werror=format-security -fPIC -DPSUTIL_POSIX=1 -DPSUTIL_VERSION=543 -DPSUTIL_LINUX=1 -I/usr/include/python2.7 -c psutil/_psutil_posix.c -o build/temp.linux-x86_64-2.7/psutil/_psutil_posix.o
[task 2019-07-19T14:24:29.805Z] x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g -fstack-protector-strong -Wformat -Werror=format-security -fPIC -DPSUTIL_POSIX=1 -DPSUTIL_VERSION=543 -DPSUTIL_LINUX=1 -I/usr/include/python2.7 -c psutil/_psutil_linux.c -o build/temp.linux-x86_64-2.7/psutil/_psutil_linux.o
[task 2019-07-19T14:24:29.805Z] creating build/lib.linux-x86_64-2.7
[task 2019-07-19T14:24:29.805Z] creating build/lib.linux-x86_64-2.7/psutil
[task 2019-07-19T14:24:29.805Z] x86_64-linux-gnu-gcc -pthread -shared -Wl,-O1 -Wl,-Bsymbolic-functions -Wl,-Bsymbolic-functions -Wl,-z,relro -fno-strict-aliasing -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -Wdate-time -D_FORTIFY_SOURCE=2 -g -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -Wl,-z,relro -Wdate-time -D_FORTIFY_SOURCE=2 -g -fstack-protector-strong -Wformat -Werror=format-security build/temp.linux-x86_64-2.7/psutil/_psutil_common.o build/temp.linux-x86_64-2.7/psutil/_psutil_posix.o build/temp.linux-x86_64-2.7/psutil/_psutil_linux.o -o build/lib.linux-x86_64-2.7/psutil/_psutil_linux.so
[task 2019-07-19T14:24:29.805Z] building 'psutil._psutil_posix' extension
[task 2019-07-19T14:24:29.805Z] x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g -fstack-protector-strong -Wformat -Werror=format-security -fPIC -DPSUTIL_POSIX=1 -DPSUTIL_VERSION=543 -DPSUTIL_LINUX=1 -I/usr/include/python2.7 -c psutil/_psutil_common.c -o build/temp.linux-x86_64-2.7/psutil/_psutil_common.o
[task 2019-07-19T14:24:29.805Z] x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g -fstack-protector-strong -Wformat -Werror=format-security -fPIC -DPSUTIL_POSIX=1 -DPSUTIL_VERSION=543 -DPSUTIL_LINUX=1 -I/usr/include/python2.7 -c psutil/_psutil_posix.c -o build/temp.linux-x86_64-2.7/psutil/_psutil_posix.o
[task 2019-07-19T14:24:29.805Z] x86_64-linux-gnu-gcc -pthread -shared -Wl,-O1 -Wl,-Bsymbolic-functions -Wl,-Bsymbolic-functions -Wl,-z,relro -fno-strict-aliasing -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -Wdate-time -D_FORTIFY_SOURCE=2 -g -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -Wl,-z,relro -Wdate-time -D_FORTIFY_SOURCE=2 -g -fstack-protector-strong -Wformat -Werror=format-security build/temp.linux-x86_64-2.7/psutil/_psutil_common.o build/temp.linux-x86_64-2.7/psutil/_psutil_posix.o -o build/lib.linux-x86_64-2.7/psutil/_psutil_posix.so
[task 2019-07-19T14:24:29.805Z] copying build/lib.linux-x86_64-2.7/psutil/_psutil_linux.so -> psutil
[task 2019-07-19T14:24:29.805Z] copying build/lib.linux-x86_64-2.7/psutil/_psutil_posix.so -> psutil
[task 2019-07-19T14:24:29.805Z]
[task 2019-07-19T14:24:29.805Z] Error processing command. Ignoring because optional. (optional:packages.txt:comm/build/virtualenv_packages.txt)
[task 2019-07-19T14:24:43.424Z] TEST-UNEXPECTED-ERROR | /builds/worker/checkouts/gecko/dom/bindings/parser/WebIDL.py:7305:23 | invalid syntax (is-parseable)
[task 2019-07-19T14:24:43.424Z] TEST-UNEXPECTED-ERROR | /builds/worker/checkouts/gecko/dom/bindings/parser/runtests.py:25:36 | Missing parentheses in call to 'print' (is-parseable)
[taskcluster 2019-07-19 14:24:44.025Z] === Task Finished ===
[taskcluster 2019-07-19 14:24:44.819Z] Unsuccessful task run with exit code: 1 completed in 287.032 seconds

Flags: needinfo?(egao)
Pushed by catlee@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/86db58cfefc5
fix python2 lint issues in tools/mach_commands.py r=ahal,catlee
https://hg.mozilla.org/integration/autoland/rev/9ee6d23124d8
remove dom/media/test from python3 linter exclusion list r=ahal
https://hg.mozilla.org/integration/autoland/rev/40fa59e314fe
fix python2 linter errors for testing/awsy r=ahal
https://hg.mozilla.org/integration/autoland/rev/e2924a3e899d
fix python2 linter errors for testing/runtimes r=ahal
https://hg.mozilla.org/integration/autoland/rev/5cd6191dbe16
fix python2 linter errors for python/devtools r=ahal
https://hg.mozilla.org/integration/autoland/rev/b36f917162a5
fix python2 linter errors in mobile r=ahal
https://hg.mozilla.org/integration/autoland/rev/288cfb1ca4ce
fix python2 linter error for tools/jprof/split-profile.py r=ahal
https://hg.mozilla.org/integration/autoland/rev/18c1e6d07656
fix python2 linter error for tools/docs r=ahal
https://hg.mozilla.org/integration/autoland/rev/d9bce64ad7ac
fix python2 linter errors for tools/lint r=ahal
https://hg.mozilla.org/integration/autoland/rev/6a5f9886c13f
fix python2 linter errors for testing/tps r=ahal
https://hg.mozilla.org/integration/autoland/rev/9bcc17e87089
remove media from python2/3 linter blacklist r=ahal
https://hg.mozilla.org/integration/autoland/rev/fe7bfad1dac4
fix python2 linter errors for js/xpconnect r=ahal

Re-clearing the ni

Flags: needinfo?(egao)
Pushed by catlee@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/3dfdf2c6560d
convert layout/style to python3 r=ahal
https://hg.mozilla.org/integration/autoland/rev/1417758c17c8
convert dom/bindings to python3 r=ahal,bzbarsky
https://hg.mozilla.org/integration/autoland/rev/ac065aed1b4c
convert testing/mochitest to python3 r=ahal
See Also: → 1562462
Attachment #9076267 - Attachment description: Bug 1559975 - convert testing/web-platform to python3 → Bug 1559975 - convert testing/web-platform to python3 compatible syntax
Pushed by egao@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/acf99165d2fd
convert testing/web-platform to python3 compatible syntax r=jgraham
Created web-platform-tests PR https://github.com/web-platform-tests/wpt/pull/18761 for changes under testing/web-platform/tests

Backed out changeset acf99165d2fd (Bug 1559975) for wptlint failure

Push with failure: https://treeherder.mozilla.org/#/jobs?repo=autoland&fromchange=acf99165d2fd365d6dc54c9a848ddb2caf757820&tochange=6fe9875279652b5818d36fc0025af1e84f5e6ae1&selectedJob=264148654

Backout link: https://hg.mozilla.org/integration/autoland/rev/6fe9875279652b5818d36fc0025af1e84f5e6ae1

Failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=264148654&repo=autoland&lineNumber=68

[task 2019-08-29T23:26:48.594Z] building 'psutil._psutil_posix' extension
[task 2019-08-29T23:26:48.594Z] x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g -fstack-protector-strong -Wformat -Werror=format-security -fPIC -DPSUTIL_POSIX=1 -DPSUTIL_VERSION=543 -DPSUTIL_LINUX=1 -I/usr/include/python2.7 -c psutil/_psutil_common.c -o build/temp.linux-x86_64-2.7/psutil/_psutil_common.o
[task 2019-08-29T23:26:48.594Z] x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g -fstack-protector-strong -Wformat -Werror=format-security -fPIC -DPSUTIL_POSIX=1 -DPSUTIL_VERSION=543 -DPSUTIL_LINUX=1 -I/usr/include/python2.7 -c psutil/_psutil_posix.c -o build/temp.linux-x86_64-2.7/psutil/_psutil_posix.o
[task 2019-08-29T23:26:48.594Z] x86_64-linux-gnu-gcc -pthread -shared -Wl,-O1 -Wl,-Bsymbolic-functions -Wl,-Bsymbolic-functions -Wl,-z,relro -fno-strict-aliasing -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -Wdate-time -D_FORTIFY_SOURCE=2 -g -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -Wl,-z,relro -Wdate-time -D_FORTIFY_SOURCE=2 -g -fstack-protector-strong -Wformat -Werror=format-security build/temp.linux-x86_64-2.7/psutil/_psutil_common.o build/temp.linux-x86_64-2.7/psutil/_psutil_posix.o -o build/lib.linux-x86_64-2.7/psutil/_psutil_posix.so
[task 2019-08-29T23:26:48.594Z] copying build/lib.linux-x86_64-2.7/psutil/_psutil_linux.so -> psutil
[task 2019-08-29T23:26:48.594Z] copying build/lib.linux-x86_64-2.7/psutil/_psutil_posix.so -> psutil
[task 2019-08-29T23:26:48.594Z]
[task 2019-08-29T23:26:48.594Z] Error processing command. Ignoring because optional. (optional:packages.txt:comm/build/virtualenv_packages.txt)
[task 2019-08-29T23:26:48.694Z] No specific files specified, running the full wpt lint (this is slow)
[task 2019-08-29T23:31:56.439Z] TEST-UNEXPECTED-ERROR | /builds/worker/checkouts/gecko/testing/web-platform/tests/css/css-fonts/support/fonts/makegsubfonts.py:128 | Unable to parse file (PARSE-FAILED)
[task 2019-08-29T23:31:56.439Z] TEST-UNEXPECTED-ERROR | /builds/worker/checkouts/gecko/tools/lint/wpt.yml:0 | Lint process exited with return code 1 (wpt)
[taskcluster 2019-08-29 23:31:56.753Z] === Task Finished ===
[taskcluster 2019-08-29 23:31:57.525Z] Unsuccessful task run with exit code: 1 completed in 331.703 seconds

Flags: needinfo?(egao)
Upstream PR was closed without merging
Pushed by egao@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/514f732deb30
convert testing/web-platform to python3 compatible syntax r=jgraham

Pushed a fixed patch and it landed successfully. Removing ni

Flags: needinfo?(egao)
Attachment #9082740 - Attachment description: Bug 1559975: Fix python source compat in xpcom → Bug 1559975: Fix python source compat in xpcom r=ahal
Pushed by egao@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/67a72efe36b1
fix python2 and python3 linter errors for client.py r=ahal
Attachment #9075732 - Attachment description: Bug 1559975 - convert toolkit to python3 → Bug 1559975 - convert toolkit to python3 compatible syntax
Pushed by egao@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/413b64a6ee8a
remove tools/profiler from python2 and python3 linter exclusion list r=ahal
Pushed by egao@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/01d2e77aec56
convert toolkit to python3 compatible syntax r=ahal
Upstream PR merged by moz-wptsync-bot
Pushed by wptsync@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/4a9a48d08d52
[wpt PR 18761] - [Gecko Bug 1559975] convert testing/web-platform to python3 compatible syntax, a=testonly
Duplicate of this bug: 1559978
You need to log in before you can comment on or make changes to this bug.